Subject: Re: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Sep 2022 18:31:36 +0200

Pedro Andres Aranda Gutierrez <[email-masked]> writes:

> It doesn't flicker... but it doesn't seem to change the locale either... 
> I tried
>
> (message                                                                     
>  (with-locale-environment "es_ES.utf8"                                                
>    (format-time-string ";; %a, %d %b %Y %H:%m:%S %z"))) 
>
> and
>
> (message                                                                     
>  (with-locale-environment "C"                                                
>    (format-time-string ";; %a, %d %b %Y %H:%m:%S %z"))) 
>
> And in both cases I get the "C" locale :(
> Before the strings were correctly generated

Does

(message                                                                     
 (with-locale-environment "es_ES.UTF-8"
   (format-time-string ";; %a, %d %b %Y %H:%m:%S %z"))) 

work better?  If not, do you have the "es_ES.UTF-8" locale in your
environment?

In any case, with this recipe (i.e., the `message' around the
`with-locale--' I can reproduce the flashing, even after the fix.  :-/
But I get

;; vie, 30 sep 2022 18:09:18 +0200